[FFmpeg-devel] Fix libx264

Måns Rullgård mans
Sun Feb 7 14:13:21 CET 2010

Felipe Contreras <felipe.contreras at gmail.com> writes:

> 2010/2/3 M?ns Rullg?rd <mans at mansr.com>:
>> Felipe Contreras <felipe.contreras at gmail.com> writes:
>>> But would we add other dependencies each time they change them?
>>> Wouldn't it be easier to just use pkg-config?
>> Because pkg-config is often simply wrong, especially when not using gcc.
> Is it wrong in this case? If you want -pthread instead of -lpthread
> then x264's pc file can be corrected.

Wrong.  The correct flag depends on the compiler, and .pc files don't
take that into account. pkg-config is flawed.  End of story.

M?ns Rullg?rd
mans at mansr.com

More information about the ffmpeg-devel mailing list